Bug#921990: mypy should depend on the precise version of python3-mypy

classic Classic list List threaded Threaded
4 messages Options
Reply | Threaded
Open this post in threaded view
|

Bug#921990: mypy should depend on the precise version of python3-mypy

Salvo Tomaselli-3
Package: mypy
Version: 0.670-1
Severity: grave
Justification: renders package unusable

Dear Maintainer,
I upgraded mypy, python3-mypy did not get pulled in as dependency so it remained
as the old version.

This is what happens when I ran it.


$ mypy
Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/pkg_resources/__init__.py", line 581, in _build_master
    ws.require(__requires__)
  File "/usr/lib/python3/dist-packages/pkg_resources/__init__.py", line 898, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/usr/lib/python3/dist-packages/pkg_resources/__init__.py", line 789, in resolve
    raise VersionConflict(dist, req).with_context(dependent_req)
pkg_resources.VersionConflict: (mypy 0.660 (/usr/lib/python3/dist-packages), Requirement.parse('mypy==0.670'))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/mypy", line 6, in <module>
    from pkg_resources import load_entry_point
  File "/usr/lib/python3/dist-packages/pkg_resources/__init__.py", line 3126, in <module>
    @_call_aside
  File "/usr/lib/python3/dist-packages/pkg_resources/__init__.py", line 3110, in _call_aside
    f(*args, **kwargs)
  File "/usr/lib/python3/dist-packages/pkg_resources/__init__.py", line 3139, in _initialize_master_working_set
    working_set = WorkingSet._build_master()
  File "/usr/lib/python3/dist-packages/pkg_resources/__init__.py", line 583, in _build_master
    return cls._build_from_requirements(__requires__)
  File "/usr/lib/python3/dist-packages/pkg_resources/__init__.py", line 596, in _build_from_requirements
    dists = ws.resolve(reqs, Environment())
  File "/usr/lib/python3/dist-packages/pkg_resources/__init__.py", line 784, in resolve
    raise DistributionNotFound(req, requirers)
pkg_resources.DistributionNotFound: The 'mypy==0.670' distribution was not found and is required by the application



-- System Information:
Debian Release: buster/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 4.19.0-1-amd64 (SMP w/4 CPU cores)
Kernel taint flags: TAINT_WARN, TAINT_UNSIGNED_MODULE
Locale: LANG=it_IT.UTF-8, LC_CTYPE=it_IT.UTF-8 (charmap=UTF-8), LANGUAGE= (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
Init: systemd (via /run/systemd/system)

Versions of packages mypy depends on:
ii  python3       3.7.2-1
ii  python3-mypy  0.660-5

mypy recommends no packages.

Versions of packages mypy suggests:
pn  mypy-doc  <none>

-- no debconf information

Reply | Threaded
Open this post in threaded view
|

Bug#921990: Bug #921990 in mypy marked as pending

Michael R. Crusoe-4
Control: tag -1 pending

Hello,

Bug #921990 in mypy reported by you has been fixed in the
Git repository and is awaiting an upload. You can see the commit
message below and you can check the diff of the fix at:

https://salsa.debian.org/med-team/mypy/commit/21eb078c6bbe9d996f26ee75bc34883c7d1b383a

------------------------------------------------------------------------
Fix dependecy version between mypy and python3-mypy. Closes: #921990.
------------------------------------------------------------------------

(this message was generated automatically)
--
Greetings

https://bugs.debian.org/921990

Reply | Threaded
Open this post in threaded view
|

Processed: Bug #921990 in mypy marked as pending

Debian Bug Tracking System
In reply to this post by Salvo Tomaselli-3
Processing control commands:

> tag -1 pending
Bug #921990 [mypy] mypy should depend on the precise version of python3-mypy
Added tag(s) pending.

--
921990: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=921990
Debian Bug Tracking System
Contact [hidden email] with problems

Reply | Threaded
Open this post in threaded view
|

Bug#921990: marked as done (mypy should depend on the precise version of python3-mypy)

Debian Bug Tracking System
In reply to this post by Salvo Tomaselli-3
Your message dated Mon, 11 Feb 2019 14:56:06 +0000
with message-id <[hidden email]>
and subject line Bug#921990: fixed in mypy 0.670-2
has caused the Debian Bug report #921990,
regarding mypy should depend on the precise version of python3-mypy
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact [hidden email]
immediately.)


--
921990: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=921990
Debian Bug Tracking System
Contact [hidden email] with problems

Package: mypy
Version: 0.670-1
Severity: grave
Justification: renders package unusable

Dear Maintainer,
I upgraded mypy, python3-mypy did not get pulled in as dependency so it remained
as the old version.

This is what happens when I ran it.


$ mypy
Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/pkg_resources/__init__.py", line 581, in _build_master
    ws.require(__requires__)
  File "/usr/lib/python3/dist-packages/pkg_resources/__init__.py", line 898, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/usr/lib/python3/dist-packages/pkg_resources/__init__.py", line 789, in resolve
    raise VersionConflict(dist, req).with_context(dependent_req)
pkg_resources.VersionConflict: (mypy 0.660 (/usr/lib/python3/dist-packages), Requirement.parse('mypy==0.670'))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/mypy", line 6, in <module>
    from pkg_resources import load_entry_point
  File "/usr/lib/python3/dist-packages/pkg_resources/__init__.py", line 3126, in <module>
    @_call_aside
  File "/usr/lib/python3/dist-packages/pkg_resources/__init__.py", line 3110, in _call_aside
    f(*args, **kwargs)
  File "/usr/lib/python3/dist-packages/pkg_resources/__init__.py", line 3139, in _initialize_master_working_set
    working_set = WorkingSet._build_master()
  File "/usr/lib/python3/dist-packages/pkg_resources/__init__.py", line 583, in _build_master
    return cls._build_from_requirements(__requires__)
  File "/usr/lib/python3/dist-packages/pkg_resources/__init__.py", line 596, in _build_from_requirements
    dists = ws.resolve(reqs, Environment())
  File "/usr/lib/python3/dist-packages/pkg_resources/__init__.py", line 784, in resolve
    raise DistributionNotFound(req, requirers)
pkg_resources.DistributionNotFound: The 'mypy==0.670' distribution was not found and is required by the application



-- System Information:
Debian Release: buster/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 4.19.0-1-amd64 (SMP w/4 CPU cores)
Kernel taint flags: TAINT_WARN, TAINT_UNSIGNED_MODULE
Locale: LANG=it_IT.UTF-8, LC_CTYPE=it_IT.UTF-8 (charmap=UTF-8), LANGUAGE= (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
Init: systemd (via /run/systemd/system)

Versions of packages mypy depends on:
ii  python3       3.7.2-1
ii  python3-mypy  0.660-5

mypy recommends no packages.

Versions of packages mypy suggests:
pn  mypy-doc  <none>

-- no debconf information

Source: mypy
Source-Version: 0.670-2

We believe that the bug you reported is fixed in the latest version of
mypy, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to [hidden email],
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Michael R. Crusoe <[hidden email]> (supplier of updated mypy package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing [hidden email])


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Sun, 10 Feb 2019 00:25:00 -0800
Source: mypy
Architecture: source
Version: 0.670-2
Distribution: unstable
Urgency: medium
Maintainer: Debian Med Packaging Team <[hidden email]>
Changed-By: Michael R. Crusoe <[hidden email]>
Closes: 921990
Changes:
 mypy (0.670-2) unstable; urgency=medium
 .
   * Include upstream's README.md in the the mypy binary package.
   * Fix dependecy version between mypy and python3-mypy. Closes: #921990.
Checksums-Sha1:
 4da76acc57f0495de20b690dee994d91ac3de3d1 2449 mypy_0.670-2.dsc
 f8b436f88fcff32aa4001a4e9ed32aebbc4c4e46 8240 mypy_0.670-2.debian.tar.xz
 fc0a1dd0b6cc924b51232380065a4b856530da51 7865 mypy_0.670-2_source.buildinfo
Checksums-Sha256:
 12c5623222325c8d42712e4f36dd4bb9de741976f90d27dc2f476d3b0af3164e 2449 mypy_0.670-2.dsc
 032bddd3c67adbe6b1db0d5cbfadc7a148f621df99160c3aeca2aa4f65450dfc 8240 mypy_0.670-2.debian.tar.xz
 8300206591025d42c57b0da3a3fb4adbda32df89d6f6ce7d83c4878a6076a4c6 7865 mypy_0.670-2_source.buildinfo
Files:
 1a04c0e255eeb8f0c40345388967d52e 2449 utils optional mypy_0.670-2.dsc
 3263c14515fa4bb2da48e432fea9812e 8240 utils optional mypy_0.670-2.debian.tar.xz
 bbdd80dbd7f1a8865ec4d9833f78444e 7865 utils optional mypy_0.670-2_source.buildinfo

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCgAdFiEEck1gkzcRPHEFUNdHPCZ2P2xn5uIFAlxhemcACgkQPCZ2P2xn
5uI3PA//SxbM9nfsy3jqKLtNW1Q1XKQsvIwO+DSqgWCuhKW4j5Mf3TAvlLzysUeU
0j+YSTY9f0W7Xb8R5PMCijKPVKwKaIdLSdv3zn5UseuF3FoTLWCMjXhdvKjVsCmh
ac3eMm+MUJB6wZKHGh8MRUAPmGNOr2M5f3e5/OK6+xfwyuaqyiNHdksn4CFfk6DS
NWnpO08EqqV6ct9oOksbKuzSes5dspB9Hw1tlHjfre2WM5ysdZH+ovT+pr43hU0o
gs1bSlZVuuS+TGLM4FPDmo+wjC1a+X7S38iGwOodzvPcJP8y7Ed6CJUlVxjBhLH8
D7iwZvktOid2VYnM67r/VnJgT5d5salC2TWje2J5cSSgbwtODqhDFHYTaRGjx472
THBoVQOMfdeuwjcWA+v4l2f/38ke598tPa5x0yC4Q468SMZhtHIKGhPI0nq1u7hK
iyoB2kDp/FI3aHRV4LokP6Mcnk/Kk2P6m+KmT1o+BXBqbDWF/NaQ4YDZGBYuo8a4
82QHll/0NPYeqzD8wZ3psF77hVOoqSWLEyrR3Myu0hDr3ifj2uZFh8v25JHtKA7h
HXqPHO3KW7j62tOMYO2NFV4g66QUNIWxaMYEbpEb1qvktJrlzUt2+6ki9uaDI9hu
5qd1PQTheAkZ80b4KedNkse0sqXb5VJfh4tX6MUGUBBy2frhyP4=
=onrj
-----END PGP SIGNATURE-----